import React, { useContext } from 'react';
import { GamesContext } from '../../../context/games';

export default function Accept() {
    const games = useContext(GamesContext);

    const selectedGame = games.findGame({ uuid: games.proposal.selectedUUID });

    if (selectedGame?.status !== 'GAME_PROPOSAL_WAIT_FOR_OPPONENT')
        return (
            <button className='Accept'>
                Accept
            </button>
        )
}